Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CORBA::WrongTransaction Exception Reference

UserException for DII requests. More...

`#include <WrongTransactionC.h>`

Inheritance diagram for CORBA::WrongTransaction:

[legend]
Collaboration diagram for CORBA::WrongTransaction:

[legend]
List of all members.

## Public Member Functions
| WrongTransaction (void)
| WrongTransaction (const WrongTransaction &)
| ~WrongTransaction (void)
WrongTransaction & | operator= (const WrongTransaction &)
virtual CORBA::Exception * | _tao_duplicate (void) const
| Deep copy.
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &) const
virtual void | _tao_decode (TAO_InputCDR &)
virtual CORBA::TypeCode_ptr | _tao_type (void) const
| Will be overridden in the concrete derived classes.
## Static Public Member Functions
void | _tao_any_destructor (void *)
| Used in the non-copying Any insertion operator.
WrongTransaction * | _downcast (CORBA::Exception *)
| The narrow operation.
const WrongTransaction * | _downcast (CORBA::Exception const *)
| The const version of narrow operation.
CORBA::Exception * | _alloc (void)

## Detailed Description

UserException for DII requests.

Exceptions:

  | WrongTransaction |

This exception is thrown if a CORBA Request is implicitly associated with a transaction and is found to have an error in its parameters when checked at runtime (invocation).

## Constructor & Destructor Documentation

CORBA::WrongTransaction::WrongTransaction | ( | void |  | ) |

CORBA::WrongTransaction::WrongTransaction | ( | const WrongTransaction & |  | ) |

CORBA::WrongTransaction::~WrongTransaction | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * CORBA::WrongTransaction::_alloc | ( | void |  | ) | `[static]`

const CORBA::WrongTransaction * CORBA::WrongTransaction::_downcast | ( | CORBA::Exception const * |  | ) | `[static]`

| The const version of narrow operation. Reimplemented from CORBA::UserException.

CORBA::WrongTransaction * CORBA::WrongTransaction::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| The narrow operation. Reimplemented from CORBA::UserException.

void CORBA::WrongTransaction::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void CORBA::WrongTransaction::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the non-copying Any insertion operator. Reimplemented from CORBA::Exception.

void CORBA::WrongTransaction::_tao_decode | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Implements CORBA::Exception.

CORBA::Exception * CORBA::WrongTransaction::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Deep copy. The following operation is used in the implementation of it performs a deep copy of the exception, normally it is implemented as:
     class SomeException : public // Derives from CORBA::Exception
     {
     public:
       virtual CORBA::Exception *_tao_duplicate (void) const
       {
         CORBA::Exception *result = 0;
         ACE_NEW_RETURN (
             result,
             SomeException (*this),
             0
           );
         return result;
       }
     };
Implements CORBA::Exception.

void CORBA::WrongTransaction::_tao_encode | ( | TAO_OutputCDR & |  | ) | const`[virtual]`

| Implements CORBA::Exception.

CORBA::TypeCode_ptr CORBA::WrongTransaction::_tao_type | ( | void |  | ) | const`[virtual]`

| Will be overridden in the concrete derived classes. Reimplemented from CORBA::UserException.

WrongTransaction& CORBA::WrongTransaction::operator= | ( | const WrongTransaction & |  | ) |

The documentation for this exception was generated from the following files:

- WrongTransaction.pidl
- WrongTransactionC.h
- WrongTransactionC.cpp